BizKitHub
DocsAPI ReferenceSettings/bff/settings/ip-ban-add
postSettingsAdmin BFF

/bff/settings/ip-ban-add

Add an IP address to the organisation ban list. The IP is resolved to a geo record automatically.

SettingspostBffSettingsIp-ban-add

Parameters

JSON body

Request body

application/json
ipstringRequired

IP address to ban.

Example1.2.3.4
reasonstringOptional

Reason for the ban.

ExampleFraudulent orders

Response schema

1 status code documented

200Success
successbooleanRequired

Whether the IP was banned successfully.

geoIdnumberRequired

Geo IP record ID of the banned IP.

Response example

application/json
{
  "success": false,
  "geoId": 0
}

Request example

POST /bff/settings/ip-ban-add

post
curl -X POST "https://api.bizkithub.com/bff/settings/ip-ban-add" \
  -H "Content-Type: application/json" \
  -H "Authorization: Bearer YOUR_API_KEY" \
  -d '{
  "ip": "1.2.3.4",
  "reason": "Fraudulent orders"
}'

Need an API key?

All BizKitHub public API endpoints require authentication via API key.

Get API Key